@font-face {
  font-family: 'chicago';
  src: url('https://stevec.dev/c/files/chicago.woff2') format('woff2'),
    url('https://stevec.dev/c/files/chicago.woff') format('woff'),
    url('https://stevec.dev/c/files/chicago.ttf') format('truetype');
}
@font-face {
  font-family: 'dearborn';
  src: url('https://stevec.dev/c/files/dearborn.woff2') format('woff2'),
    url('https://stevec.dev/c/files/dearborn.woff') format('woff'),
    url('https://stevec.dev/c/files/dearborn.ttf') format('truetype');
}

:root {
  --bg_width: 2000px;
  --bg_height: 1765px;
  /* vert */
  --gap_left: 770px;
  --gap_top: 360px;
  --clip_w: 520px;
  --clip_h: 935px;
  /* horizontal */
  --gap_hleft: 590px;
  --gap_htop: 618px;
  --clip_hw: 940px;
  --clip_hh: 515px;
  --ratio: 0;
  --centerShift_x: calc((100dvw - var(--bg_width) * var(--ratio)) / 2);
  --centerShift_y: calc((100dvh - var(--bg_height) * var(--ratio)) / 2);
  --black: 18% 0.005 248.12;
  --grey: 63% 0.012 223.41;
  --white: 97% 0 0;
  --off-white: 87% 0 0;
  --accent: 89% 0.24 136.86;
  --accent2: 71% 0.16 243.9;
  --font: 'chicago', sans-serif;
  --font2: 'dearborn', sans-serif;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  text-rendering: optimizeLegibility;
  background: oklch(var(--black));
}

body {
  position: relative;
  font-family: var(--font);
  line-height: 1;
  height: 100dvh;
}

h1 {
  font-size: calc(1.7rem + 2dvw);
  line-height: 1.4;
  font-family: 'chicago', sans-serif;
  font-weight: 800;
  text-shadow: 0px 0px 5px oklch(var(--accent));
  /* background: oklch(var(--black)); */
}

h2 {
  font-family: 'dearborn', monospace;
  font-size: 5vmin;
  line-height: 1;
  text-wrap: balance;
  letter-spacing: -0.07rem;
  font-weight: 600;
}

h4 {
  font-size: 5vmin;
  text-wrap: balance;
}

sup {
  font-size: 0.7rem;
}

a {
  color: var(--accent);
  text-decoration: none;
}

img,
canvas,
input[type='radio'],
label {
  user-select: none;
  pointer-events: none;
}

input {
  appearance: none;
  display: none;
}

.radio {
  appearance: none;
  display: none;
}

#blank {
  background: oklch(var(--black));
}

.email-btn {
  background: linear-gradient(
    to right,
    oklch(var(--accent)),
    oklch(var(--accent2))
  );
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  color: oklch(18.09% 0 248.12 /0);
  position: absolute;
  top: 1ch;
  right: 3ch;
}

header {
  background: linear-gradient(
    to right,
    oklch(89.42% 0.24 136.86),
    oklch(71.5% 0.16 243.9)
  );
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  color: oklch(18.09% 0 248.12 /0);
  text-align: left;
  position: absolute;
  bottom: 1rem;
  left: 1.5rem;
}

dialog {
  border-radius: 15px;
  border: 2px solid oklch(var(--white));
  background: oklch(var(--black));
  margin: 3rem auto;
  padding: 1rem;
  width: clamp(350px, 70%, 500px);
  animation: fadeIn 0.5s ease both;
}

dialog::backdrop {
  background: oklch(var(--black) / 0.75);
  backdrop-filter: blur(20px);
}

input:checked + * {
  opacity: 1;
}

.outer * {
  filter: unset;
}

.inner {
  position: relative;
  margin: 3px;
  color: oklch(var(--white));
  overflow-wrap: break-word;
  mix-blend-mode: difference;
}

button {
  width: 7em;
  position: relative;
  height: 3.5em;
  border: 3px ridge oklch(var(--accent));
  outline: none;
  background-color: transparent;
  color: oklch(var(--white));
  transition: 1s;
  border-radius: 0.3em;
  font-family: var(--font2);
  font-size: 2.5vmin;
  font-weight: bold;
  cursor: pointer;
}

button::after {
  content: '';
  position: absolute;
  top: -10px;
  left: 3%;
  width: 95%;
  height: 40%;
  background-color: oklch(var(--black));
  transition: 0.5s;
  transform-origin: center;
}

button::before {
  content: '';
  transform-origin: center;
  position: absolute;
  top: 80%;
  left: 3%;
  width: 95%;
  height: 40%;
  background-color: oklch(var(--black));
  transition: 0.5s;
}

button:hover::before,
button:hover::after {
  transform: scale(0);
}

button:hover {
  box-shadow: inset 0px 0px 25px oklch(var(--accent));
  color: oklch(var(--accent) / 0.8);
}

form {
  display: grid;
  padding: 1rem;
  font-size: 1rem;
  background: oklch(var(--black));
}

label {
  color: oklch(var(--white));
  margin: 0 0 5px 0;
}

input,
textarea {
  font-size: 1.1rem;
  margin: 0 0 1rem 0;
  display: block;
  width: 100%;
  padding: 10px;
  border: none;
  border-radius: 5px;
  outline: none;
  background: oklch(var(--off-white));
  box-shadow: inset 6px 6px 6px oklch(var(--off-white)),
    inset -6px -6px 6px white;
}

input::placeholder,
textarea::placeholder {
  color: oklch(var(--black) / 0.85);
}

#close-btn {
  position: absolute;
  right: 1ch;
  top: 1ch;
  width: min-content;
  height: min-content;
  padding: 0.5ch 1ch;
}

input:invalid,
textarea:invalid {
  background: oklch(var(--accent) / 0.95);
  color: oklch(var(--black));
  border: 5px solid oklch(var(--accent));
}

input:valid,
textarea:valid {
  background: oklch(var(--white));
}

input,
textarea,
button {
  font-family: var(--font2);
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}
